<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Quantiphi IOT</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" href="asset/img/favicon.ico" type="image/ico">
    <link href="https://fonts.googleapis.com/css?family=Josefin+Sans:300,400" rel="stylesheet">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="stylesheet" type="text/css" media="screen" href="asset/css/materialize.min.css" />
    <link rel="stylesheet" type="text/css" media="screen" href="asset/css/main.css" />
    <script src="asset/js/jquery.min.js"></script>
</head>

<body>
    <!-- START SIDE NAVIGATION -->
    <header>
        <ul class="sidenav sidenav-fixed" style="transform: translateX(0px);">
            <li class="logo center">
                <img src="asset/img/smartbuilding2.png" class="brand-logo" height=80 width=180>
                <!-- <a id="logo-container" href="/" class="brand-logo">
                </a> -->
            </li>
            <li><a class="waves-effect" href="index.html">Performance</a></li>
            <li class="active"><a class="waves-effect" href="#!">Analytics</a></li>
            <li><a class="waves-effect" href="architecture.html">Architecture</a></li>
            <li class="divider"></li>

            <li><a class="subheader">Locations</a></li>
            <li class="no-padding">
                <ul class="collapsible collapsible-accordion" id="tree-data">
                    <li class="bold"><a>N/A</a></li>
                </ul>
            </li>
        </ul>
    </header>
    <!-- END SIDE NAVIGATION -->
    <!-- START MAIN CONTENT -->
    <main>
        <!-- START TOP NAVIGATION  -->
        <nav>
            <div class="nav-wrapper">
                <ul id="nav-mobile" class="hide-on-med-and-down">
                    <li><span id="site-title" href="#">IOT Real-time Dashboard</span></li>
                </ul>
                <!-- <ul id="nav-mobile" class="right hide-on-med-and-down">
                    <li><a class="waves-effect waves-light btn"><i class="material-icons left">play_circle_outline</i>button</a></li>
                </ul> -->
            </div>
        </nav>
        <!-- END TOP NAVIGATION -->
        <div class="container">
            <!-- START TOP STATS CARDS -->
            <div class="row ">
                <div class="col s3">
                    <div class="card">
                        <div class="card-content">
                            <div class="row no-margin">
                                <div class="col s5 valign-wrapper">
                                    <i class="material-icons medium">vertical_split</i>
                                </div>
                                <div class="col s7">
                                    <h5 id="doorSensor">Closed</h5>
                                </div>
                            </div>
                        </div>
                        <div class="card-action">
                            Door Sensor
                        </div>
                    </div>
                </div>
                <div class="col s3">
                    <div class="card">
                        <div class="card-content">
                            <div class="row no-margin">
                                <div class="col s5 valign-wrapper">
                                    <i class="material-icons medium">wb_incandescent</i>
                                </div>
                                <div class="col s7">
                                    <h5 id="abmientLights">12.5</h5>
                                </div>
                            </div>
                        </div>
                        <div class="card-action">
                            Ambient Lights
                        </div>
                    </div>
                </div>
                <div class="col s3">
                    <div class="card">
                        <div class="card-content">
                            <div class="row no-margin">
                                <div class="col s5 valign-wrapper">
                                    <i class="material-icons medium" id="icnHumidityLevel">sentiment_very_dissatisfied</i>
                                </div>
                                <div class="col s7">
                                    <h5 id="humidexLevel">Comfortable</h5>
                                </div>
                            </div>
                        </div>
                        <div class="card-action">
                            Humidex Level
                        </div>
                    </div>
                </div>
                <div class="col s3">
                    <div class="card">
                        <div class="card-content">
                            <div class="row no-margin">
                                <div class="col s5 valign-wrapper">
                                    <i class="material-icons medium">invert_colors</i>
                                </div>
                                <div class="col s7">
                                    <h5 id="humidexIndex">13.6</h5>
                                </div>
                            </div>
                        </div>
                        <div class="card-action">
                            Humidex Index
                        </div>
                    </div>
                </div>
                <div class="col s3">
                    <div class="card">
                        <div class="card-content">
                            <div class="row no-margin">
                                <div class="col s5 valign-wrapper">
                                    <i class="material-icons medium">wb_sunny</i>
                                </div>
                                <div class="col s7">
                                    <h5 id="temperature">27 C</h5>
                                </div>
                            </div>
                        </div>
                        <div class="card-action">
                            Temperature
                        </div>
                    </div>
                </div>
                <div class="col s3">
                    <div class="card">
                        <div class="card-content">
                            <div class="row no-margin">
                                <div class="col s5 valign-wrapper">
                                    <i class="material-icons medium">wb_iridescent</i>
                                </div>
                                <div class="col s7">
                                    <h5 id="lightStatus">Off</h5>
                                </div>
                            </div>
                        </div>
                        <div class="card-action">
                            Light Status
                        </div>
                    </div>
                </div>
                <div class="col s3">
                    <div class="card">
                        <div class="card-content">
                            <div class="row no-margin">
                                <div class="col s5 valign-wrapper">
                                    <i class="material-icons medium">speaker</i>
                                </div>
                                <div class="col s7">
                                    <h5 id="soundLevel">435mV</h5>
                                </div>
                            </div>
                        </div>
                        <div class="card-action">
                            Sound Level
                        </div>
                    </div>
                </div>
                <div class="col s3">
                    <div class="card">
                        <div class="card-content">
                            <div class="row no-margin">
                                <div class="col s5 valign-wrapper">
                                    <i class="material-icons medium" id="icnOccupancy">block</i>
                                </div>
                                <div class="col s7">
                                    <h5 id="occupancy">Off</h5>
                                </div>
                            </div>
                        </div>
                        <div class="card-action">
                            Occupancy
                        </div>
                    </div>
                </div>
            </div>
            <!-- END TOP CARDS STATS -->
            <!-- START CHARTS -->
            <div class=row>
                <div class="col s6">
                    <div class="card">
                        <div class="card-content chart-container">
                            <canvas id="temperatureChart"></canvas>
                        </div>
                    </div>
                </div>
                <div class="col s6">
                    <div class="card">
                        <div class="card-content chart-container">
                            <canvas id="co2Chart"></canvas>
                        </div>
                    </div>
                </div>
                <div class="col s6">
                    <div class="card">
                        <div class="card-content chart-container">
                            <canvas id="humidityChart"></canvas>
                        </div>
                    </div>
                </div>
                <div class="col s6">
                    <div class="card">
                        <div class="card-content chart-container">
                            <canvas id="luminocityChart"></canvas>
                        </div>
                    </div>
                </div>
            </div>
            <!-- END CHARTS -->
            <!--START ROOM-WISE SENSOR READINGS-->
            <div class="row">
                <div class="col s12">
                    <div class="card">
                        <div class="card-content">
                            <table>
                                <thead>
                                    <tr>
                                        <th></th>
                                        <th>Living Room</th>
                                        <th>Kitchen</th>
                                        <th>Bed Room</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><strong>Temperature</strong></td>
                                        <td id="living-temperature">0</td>
                                        <td id="kitchen-temperature">0</td>
                                        <td id="bed-temperature">0</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Ambient Light</strong></td>
                                        <td id="living-luminosity">0</td>
                                        <td id="kitchen-luminosity">0</td>
                                        <td id="bed-luminosity">0</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Occupancy</strong></td>
                                        <td id="living-occupancy">0</td>
                                        <td id="kitchen-occupancy">0</td>
                                        <td id="bed-occupancy">0</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <!--END ROOM-WISE SENSOR READINGS-->
        </div>
    </main>
    <!-- END MAIN CONTENT -->

    <!-- START FOOTER CONTENT -->
    <footer></footer>
    <!-- END FOOTER CONTENT-->

    <!-- START SCRIPT INJECTION -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.3/Chart.bundle.min.js" integrity="sha256-MZo5XY1Ah7Z2Aui4/alkfeiq3CopMdV/bbkc/Sh41+s="
        crossorigin="anonymous"></script>
    <script src="https://www.gstatic.com/firebasejs/4.6.2/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/4.6.2/firebase-database.js"></script>
    <script src="asset/js/materialize.min.js"></script>
    <script src="asset/js/firebase.js"></script>
    <script src="asset/js/base.js"></script>
    <script src="asset/js/main.js"></script>
    <script src="asset/js/charts.js"></script>
    <!-- END SCRIPT INJECTION -->
</body>

</html>